Name:           asterisk18-app_flite
Version:        0.6
Release:        8
Summary:        Flite text-to-speech module for Asterisk
Group:          Applications/Internet
License:        GPL
URL:            http://dialogpalette.sourceforge.net
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  asterisk18-devel
BuildRequires:  flite-devel
Requires: 	asterisk18 

%description
This provides the "Flite" dialplan application for the Asterisk Open Source
PBX, which allows you to use the CMU Flite text-to-speech engine with Asterisk.

The application uses the exact same syntax as the standard "Festival" Asterisk
application.


%prep

%setup -q -n %{name}-%{version}

%build
make  2> err

%install
mkdir -p %{buildroot}%{_libdir}/asterisk/modules/
mkdir -p %{buildroot}%{_sysconfdir}/asterisk/
make DESTDIR=$RPM_BUILD_ROOT install

#mkdir -p %{buildroot}%{_prefix}/src/asterisk-app_flite-0.6/
#mv app_flite.so %{buildroot}%{_libdir}/asterisk/modules/
#mv  flite.conf %{buildroot}%{_sysconfdir}/asterisk/
#mv * %{buildroot}%{_prefix}/src/asterisk-app_flite-0.6/

%post

%clean
rm -rf %{buildroot}

%files
%defattr(-,asterisk,asterisk,-)
%{_libdir}/asterisk/modules/app_flite.so
#%{_prefix}/src/asterisk-app_flite-0.6/*
%config(noreplace) %{_sysconfdir}/asterisk/flite.conf

